Bug 447152 - Pidgin cannot use spellcheking
Pidgin cannot use spellcheking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 06:34 EDT by Peter Janakiev
Modified: 2009-07-14 12:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2008-05-18 06:34:25 EDT
Description of problem:
After upgrading to F9 and the new spell check infrastructure, pidgin is
completely unable to provide spell checking, while it works in other
applications like gedit, logjam and so on.

Version-Release number of selected component (if applicable):
pidgin-2.4.1-2.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Set the session language to something different than US English (I use Bulgarian)
2. Make sure to have installed the aspell-bg and huspell-bg packages
3. Start pidgin and open a message window 
4. Type in something ( example: мама, тест, приятел)
  
Actual results:
The words are underlined as misspelled, while they are correctly spelled, which
signifies that pidgin cannot find them in the dictionary.

Expected results:
The correct work lookup to be performed and thus the words to be found as
correctly spelled.

Additional info:
No error messages on stdout of any type are found to indicate error.
Comment 1 Stu Tomlinson 2008-05-19 09:26:22 EDT
Please provide the output from running "locale" in a terminal. Also a debug log
(Help -> Debug window) from when opening a new conversation window and typing
correctly spelled or misspelled words might be helpful.
Comment 2 Stu Tomlinson 2008-05-19 09:27:46 EDT
Also, what plugins do you have enabled?
Comment 3 Peter Janakiev 2008-05-19 17:45:56 EDT
$ locale
LANG=bg_BG.utf8
LC_CTYPE="bg_BG.utf8"
LC_NUMERIC="bg_BG.utf8"
LC_TIME="bg_BG.utf8"
LC_COLLATE="bg_BG.utf8"
LC_MONETARY="bg_BG.utf8"
LC_MESSAGES="bg_BG.utf8"
LC_PAPER="bg_BG.utf8"
LC_NAME="bg_BG.utf8"
LC_ADDRESS="bg_BG.utf8"
LC_TELEPHONE="bg_BG.utf8"
LC_MEASUREMENT="bg_BG.utf8"
LC_IDENTIFICATION="bg_BG.utf8"
LC_ALL=

(00:43:43) util: Writing file prefs.xml to directory /home/malwk/.purple
(00:43:43) util: Writing file /home/malwk/.purple/prefs.xml
(00:43:44) accels: saving accels to /home/malwk/.purple/accels
(00:43:44) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(00:43:44) dbus: The signal "blist-node-extended-menu" caused some dbus error.
(If you are not a developer, please ignore this message.)
(00:43:44) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(00:43:44) dbus: The signal "conversation-extended-menu" caused some dbus error.
(If you are not a developer, please ignore this message.)
(00:43:44) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(00:43:44) dbus: The signal "blist-node-extended-menu" caused some dbus error.
(If you are not a developer, please ignore this message.)
(00:43:44) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(00:43:44) dbus: The signal "conversation-extended-menu" caused some dbus error.
(If you are not a developer, please ignore this message.)
(00:43:44) prefs: /pidgin/conversations/toolbar/wide changed, scheduling save.
(00:43:44) dbus: Need to register an object with the dbus subsystem. (If you are
not a developer, please ignore this message.)
(00:43:44) dbus: The signal "conversation-displayed" caused some dbus error. (If
you are not a developer, please ignore this message.)
(00:43:45) util: Writing file blist.xml to directory /home/malwk/.purple
(00:43:45) util: Writing file /home/malwk/.purple/blist.xml
(00:43:45) nautilus: don't save blist online. No change
(00:43:50) util: Writing file prefs.xml to directory /home/malwk/.purple
(00:43:50) util: Writing file /home/malwk/.purple/prefs.xml
(00:43:50) nautilus: don't save blist online. No change
(00:43:55) nautilus: don't save blist online. No change
(00:43:55) conversation: typed...
(00:44:00) nautilus: don't save blist online. No change
(00:44:05) nautilus: don't save blist online. No change

Plugins:
History
Join/part hiding
Nautilus integration
buddy notes
message notification (for setting URGENT hint on the conversation windows in
taskbar)

Comment 4 Bug Zapper 2009-06-09 20:57:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:41:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.